All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
FilterMedian
Rank Filters

Result pixel value is the median of pixel values under the rectangular mask region. More...

## Functions

NppStatus | nppiFilterMedian_8u_C1R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Single channel 8-bit unsigned median filter. More...
NppStatus | nppiFilterMedian_8u_C1R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, Npp8u *pBuffer)
NppStatus | nppiFilterMedian_8u_C3R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Three channel 8-bit unsigned median filter. More...
NppStatus | nppiFilterMedian_8u_C3R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, Npp8u *pBuffer)
NppStatus | nppiFilterMedian_8u_C4R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned median filter. More...
NppStatus | nppiFilterMedian_8u_C4R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, Npp8u *pBuffer)
NppStatus | nppiFilterMedian_8u_AC4R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned median filter, ignoring alpha channel. More...
NppStatus | nppiFilterMedian_8u_AC4R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, Npp8u *pBuffer)
NppStatus | nppiFilterMedian_16u_C1R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Single channel 16-bit unsigned median filter. More...
NppStatus | nppiFilterMedian_16u_C1R (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, Npp8u *pBuffer)
NppStatus | nppiFilterMedian_16u_C3R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Three channel 16-bit unsigned median filter. More...
NppStatus | nppiFilterMedian_16u_C3R (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, Npp8u *pBuffer)
NppStatus | nppiFilterMedian_16u_C4R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Four channel 16-bit unsigned median filter. More...
NppStatus | nppiFilterMedian_16u_C4R (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, Npp8u *pBuffer)
NppStatus | nppiFilterMedian_16u_AC4R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Four channel 16-bit unsigned median filter, ignoring alpha channel. More...
NppStatus | nppiFilterMedian_16u_AC4R (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, Npp8u *pBuffer)
NppStatus | nppiFilterMedian_16s_C1R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Single channel 16-bit signed median filter. More...
NppStatus | nppiFilterMedian_16s_C1R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, Npp8u *pBuffer)
NppStatus | nppiFilterMedian_16s_C3R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Three channel 16-bit signed median filter. More...
NppStatus | nppiFilterMedian_16s_C3R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, Npp8u *pBuffer)
NppStatus | nppiFilterMedian_16s_C4R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Four channel 16-bit signed median filter. More...
NppStatus | nppiFilterMedian_16s_C4R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, Npp8u *pBuffer)
NppStatus | nppiFilterMedian_16s_AC4R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Four channel 16-bit signed median filter, ignoring alpha channel. More...
NppStatus | nppiFilterMedian_16s_AC4R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, Npp8u *pBuffer)
NppStatus | nppiFilterMedian_32f_C1R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Single channel 32-bit floating-point median filter. More...
NppStatus | nppiFilterMedian_32f_C1R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, Npp8u *pBuffer)
NppStatus | nppiFilterMedian_32f_C3R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Three channel 32-bit floating-point median filter. More...
NppStatus | nppiFilterMedian_32f_C3R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, Npp8u *pBuffer)
NppStatus | nppiFilterMedian_32f_C4R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Four channel 32-bit floating-point median filter. More...
NppStatus | nppiFilterMedian_32f_C4R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, Npp8u *pBuffer)
NppStatus | nppiFilterMedian_32f_AC4R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Four channel 32-bit floating-point median filter, ignoring alpha channel. More...
NppStatus | nppiFilterMedian_32f_AC4R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiSize oMaskSize, NppiPoint oAnchor, Npp8u *pBuffer)
NppStatus | nppiFilterMedianGetBufferSize_8u_C1R_Ctx (NppiSize oSizeROI, NppiSize oMaskSize, Npp32u *nBufferSize, NppStreamContext nppStreamCtx)
| Single channel 8-bit unsigned median filter scratch memory size. More...
NppStatus | nppiFilterMedianGetBufferSize_8u_C1R (NppiSize oSizeROI, NppiSize oMaskSize, Npp32u *nBufferSize)
NppStatus | nppiFilterMedianGetBufferSize_8u_C3R_Ctx (NppiSize oSizeROI, NppiSize oMaskSize, Npp32u *nBufferSize, NppStreamContext nppStreamCtx)
| Three channel 8-bit unsigned median filter scratch memory size. More...
NppStatus | nppiFilterMedianGetBufferSize_8u_C3R (NppiSize oSizeROI, NppiSize oMaskSize, Npp32u *nBufferSize)
NppStatus | nppiFilterMedianGetBufferSize_8u_C4R_Ctx (NppiSize oSizeROI, NppiSize oMaskSize, Npp32u *nBufferSize, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned median filter scratch memory size. More...
NppStatus | nppiFilterMedianGetBufferSize_8u_C4R (NppiSize oSizeROI, NppiSize oMaskSize, Npp32u *nBufferSize)
NppStatus | nppiFilterMedianGetBufferSize_8u_AC4R_Ctx (NppiSize oSizeROI, NppiSize oMaskSize, Npp32u *nBufferSize, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned median filter, ignoring alpha channel. More...
NppStatus | nppiFilterMedianGetBufferSize_8u_AC4R (NppiSize oSizeROI, NppiSize oMaskSize, Npp32u *nBufferSize)
NppStatus | nppiFilterMedianGetBufferSize_16u_C1R_Ctx (NppiSize oSizeROI, NppiSize oMaskSize, Npp32u *nBufferSize, NppStreamContext nppStreamCtx)
| Single channel 16-bit unsigned median filter scratch memory size. More...
NppStatus | nppiFilterMedianGetBufferSize_16u_C1R (NppiSize oSizeROI, NppiSize oMaskSize, Npp32u *nBufferSize)
NppStatus | nppiFilterMedianGetBufferSize_16u_C3R_Ctx (NppiSize oSizeROI, NppiSize oMaskSize, Npp32u *nBufferSize, NppStreamContext nppStreamCtx)
| Three channel 16-bit unsigned median filter scratch memory size. More...
NppStatus | nppiFilterMedianGetBufferSize_16u_C3R (NppiSize oSizeROI, NppiSize oMaskSize, Npp32u *nBufferSize)
NppStatus | nppiFilterMedianGetBufferSize_16u_C4R_Ctx (NppiSize oSizeROI, NppiSize oMaskSize, Npp32u *nBufferSize, NppStreamContext nppStreamCtx)
| Four channel 16-bit unsigned median filter scratch memory size. More...
NppStatus | nppiFilterMedianGetBufferSize_16u_C4R (NppiSize oSizeROI, NppiSize oMaskSize, Npp32u *nBufferSize)
NppStatus | nppiFilterMedianGetBufferSize_16u_AC4R_Ctx (NppiSize oSizeROI, NppiSize oMaskSize, Npp32u *nBufferSize, NppStreamContext nppStreamCtx)
| Four channel 16-bit unsigned median filter, ignoring alpha channel. More...
NppStatus | nppiFilterMedianGetBufferSize_16u_AC4R (NppiSize oSizeROI, NppiSize oMaskSize, Npp32u *nBufferSize)
NppStatus | nppiFilterMedianGetBufferSize_16s_C1R_Ctx (NppiSize oSizeROI, NppiSize oMaskSize, Npp32u *nBufferSize, NppStreamContext nppStreamCtx)
| Single channel 16-bit signed median filter scratch memory size. More...
NppStatus | nppiFilterMedianGetBufferSize_16s_C1R (NppiSize oSizeROI, NppiSize oMaskSize, Npp32u *nBufferSize)
NppStatus | nppiFilterMedianGetBufferSize_16s_C3R_Ctx (NppiSize oSizeROI, NppiSize oMaskSize, Npp32u *nBufferSize, NppStreamContext nppStreamCtx)
| Three channel 16-bit signed median filter scratch memory size. More...
NppStatus | nppiFilterMedianGetBufferSize_16s_C3R (NppiSize oSizeROI, NppiSize oMaskSize, Npp32u *nBufferSize)
NppStatus | nppiFilterMedianGetBufferSize_16s_C4R_Ctx (NppiSize oSizeROI, NppiSize oMaskSize, Npp32u *nBufferSize, NppStreamContext nppStreamCtx)
| Four channel 16-bit signed median filter scratch memory size. More...
NppStatus | nppiFilterMedianGetBufferSize_16s_C4R (NppiSize oSizeROI, NppiSize oMaskSize, Npp32u *nBufferSize)
NppStatus | nppiFilterMedianGetBufferSize_16s_AC4R_Ctx (NppiSize oSizeROI, NppiSize oMaskSize, Npp32u *nBufferSize, NppStreamContext nppStreamCtx)
| Four channel 16-bit signed median filter, ignoring alpha channel. More...
NppStatus | nppiFilterMedianGetBufferSize_16s_AC4R (NppiSize oSizeROI, NppiSize oMaskSize, Npp32u *nBufferSize)
NppStatus | nppiFilterMedianGetBufferSize_32f_C1R_Ctx (NppiSize oSizeROI, NppiSize oMaskSize, Npp32u *nBufferSize, NppStreamContext nppStreamCtx)
| Single channel 32-bit floating-point median filter scratch memory size. More...
NppStatus | nppiFilterMedianGetBufferSize_32f_C1R (NppiSize oSizeROI, NppiSize oMaskSize, Npp32u *nBufferSize)
NppStatus | nppiFilterMedianGetBufferSize_32f_C3R_Ctx (NppiSize oSizeROI, NppiSize oMaskSize, Npp32u *nBufferSize, NppStreamContext nppStreamCtx)
| Three channel 32-bit floating-point median filter scratch memory size. More...
NppStatus | nppiFilterMedianGetBufferSize_32f_C3R (NppiSize oSizeROI, NppiSize oMaskSize, Npp32u *nBufferSize)
NppStatus | nppiFilterMedianGetBufferSize_32f_C4R_Ctx (NppiSize oSizeROI, NppiSize oMaskSize, Npp32u *nBufferSize, NppStreamContext nppStreamCtx)
| Four channel 32-bit floating-point median filter scratch memory size. More...
NppStatus | nppiFilterMedianGetBufferSize_32f_C4R (NppiSize oSizeROI, NppiSize oMaskSize, Npp32u *nBufferSize)
NppStatus | nppiFilterMedianGetBufferSize_32f_AC4R_Ctx (NppiSize oSizeROI, NppiSize oMaskSize, Npp32u *nBufferSize, NppStreamContext nppStreamCtx)
| Four channel 32-bit floating-point median filter, ignoring alpha channel. More...
NppStatus | nppiFilterMedianGetBufferSize_32f_AC4R (NppiSize oSizeROI, NppiSize oMaskSize, Npp32u *nBufferSize)

## Detailed Description

Result pixel value is the median of pixel values under the rectangular mask region.

### Common parameters for nppiFilterMedian functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  oMaskSize | Width and Height of the neighborhood region for the local Median operation.
  oAnchor | X and Y offsets of the kernel origin frame of reference relative to the source pixel.
  pBuffer | Pointer to the user-allocated scratch buffer required for the Median operation.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

### Common parameters for nppiFilterMedianGetBufferSize functions include:

Parameters

  oSizeROI | Region-of-Interest (ROI).
  oMaskSize | Width and Height of the neighborhood region for the local Median operation.
  nBufferSize | Pointer to the size of the scratch buffer required for the Median operation.

Returns
  Image Data Related Error Codes

## Function Documentation

NppStatus nppiFilterMedian_16s_AC4R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiFilterMedian_16s_AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit signed median filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterMedian functions.

NppStatus nppiFilterMedian_16s_C1R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiFilterMedian_16s_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 16-bit signed median filter.

For common parameter descriptions, see Common parameters for nppiFilterMedian functions.

NppStatus nppiFilterMedian_16s_C3R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiFilterMedian_16s_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 16-bit signed median filter.

For common parameter descriptions, see Common parameters for nppiFilterMedian functions.

NppStatus nppiFilterMedian_16s_C4R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiFilterMedian_16s_C4R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit signed median filter.

For common parameter descriptions, see Common parameters for nppiFilterMedian functions.

NppStatus nppiFilterMedian_16u_AC4R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiFilterMedian_16u_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit unsigned median filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterMedian functions.

NppStatus nppiFilterMedian_16u_C1R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiFilterMedian_16u_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 16-bit unsigned median filter.

For common parameter descriptions, see Common parameters for nppiFilterMedian functions.

NppStatus nppiFilterMedian_16u_C3R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiFilterMedian_16u_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 16-bit unsigned median filter.

For common parameter descriptions, see Common parameters for nppiFilterMedian functions.

NppStatus nppiFilterMedian_16u_C4R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiFilterMedian_16u_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit unsigned median filter.

For common parameter descriptions, see Common parameters for nppiFilterMedian functions.

NppStatus nppiFilterMedian_32f_AC4R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiFilterMedian_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 32-bit floating-point median filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterMedian functions.

NppStatus nppiFilterMedian_32f_C1R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiFilterMedian_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 32-bit floating-point median filter.

For common parameter descriptions, see Common parameters for nppiFilterMedian functions.

NppStatus nppiFilterMedian_32f_C3R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiFilterMedian_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 32-bit floating-point median filter.

For common parameter descriptions, see Common parameters for nppiFilterMedian functions.

NppStatus nppiFilterMedian_32f_C4R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiFilterMedian_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 32-bit floating-point median filter.

For common parameter descriptions, see Common parameters for nppiFilterMedian functions.

NppStatus nppiFilterMedian_8u_AC4R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiFilterMedian_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned median filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterMedian functions.

NppStatus nppiFilterMedian_8u_C1R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiFilterMedian_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 8-bit unsigned median filter.

For common parameter descriptions, see Common parameters for nppiFilterMedian functions.

NppStatus nppiFilterMedian_8u_C3R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiFilterMedian_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 8-bit unsigned median filter.

For common parameter descriptions, see Common parameters for nppiFilterMedian functions.

NppStatus nppiFilterMedian_8u_C4R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiFilterMedian_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | NppiPoint | oAnchor,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned median filter.

For common parameter descriptions, see Common parameters for nppiFilterMedian functions.

NppStatus nppiFilterMedianGetBufferSize_16s_AC4R | ( | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32u * | nBufferSize
| ) |  |

NppStatus nppiFilterMedianGetBufferSize_16s_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32u * | nBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit signed median filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterMedianGetBufferSize functions.

NppStatus nppiFilterMedianGetBufferSize_16s_C1R | ( | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32u * | nBufferSize
| ) |  |

NppStatus nppiFilterMedianGetBufferSize_16s_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32u * | nBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 16-bit signed median filter scratch memory size.

For common parameter descriptions, see Common parameters for nppiFilterMedianGetBufferSize functions.

NppStatus nppiFilterMedianGetBufferSize_16s_C3R | ( | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32u * | nBufferSize
| ) |  |

NppStatus nppiFilterMedianGetBufferSize_16s_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32u * | nBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 16-bit signed median filter scratch memory size.

For common parameter descriptions, see Common parameters for nppiFilterMedianGetBufferSize functions.

NppStatus nppiFilterMedianGetBufferSize_16s_C4R | ( | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32u * | nBufferSize
| ) |  |

NppStatus nppiFilterMedianGetBufferSize_16s_C4R_Ctx | ( | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32u * | nBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit signed median filter scratch memory size.

For common parameter descriptions, see Common parameters for nppiFilterMedianGetBufferSize functions.

NppStatus nppiFilterMedianGetBufferSize_16u_AC4R | ( | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32u * | nBufferSize
| ) |  |

NppStatus nppiFilterMedianGetBufferSize_16u_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32u * | nBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit unsigned median filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterMedianGetBufferSize functions.

NppStatus nppiFilterMedianGetBufferSize_16u_C1R | ( | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32u * | nBufferSize
| ) |  |

NppStatus nppiFilterMedianGetBufferSize_16u_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32u * | nBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 16-bit unsigned median filter scratch memory size.

For common parameter descriptions, see Common parameters for nppiFilterMedianGetBufferSize functions.

NppStatus nppiFilterMedianGetBufferSize_16u_C3R | ( | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32u * | nBufferSize
| ) |  |

NppStatus nppiFilterMedianGetBufferSize_16u_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32u * | nBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 16-bit unsigned median filter scratch memory size.

For common parameter descriptions, see Common parameters for nppiFilterMedianGetBufferSize functions.

NppStatus nppiFilterMedianGetBufferSize_16u_C4R | ( | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32u * | nBufferSize
| ) |  |

NppStatus nppiFilterMedianGetBufferSize_16u_C4R_Ctx | ( | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32u * | nBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit unsigned median filter scratch memory size.

For common parameter descriptions, see Common parameters for nppiFilterMedianGetBufferSize functions.

NppStatus nppiFilterMedianGetBufferSize_32f_AC4R | ( | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32u * | nBufferSize
| ) |  |

NppStatus nppiFilterMedianGetBufferSize_32f_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32u * | nBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 32-bit floating-point median filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterMedianGetBufferSize functions.

NppStatus nppiFilterMedianGetBufferSize_32f_C1R | ( | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32u * | nBufferSize
| ) |  |

NppStatus nppiFilterMedianGetBufferSize_32f_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32u * | nBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 32-bit floating-point median filter scratch memory size.

For common parameter descriptions, see Common parameters for nppiFilterMedianGetBufferSize functions.

NppStatus nppiFilterMedianGetBufferSize_32f_C3R | ( | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32u * | nBufferSize
| ) |  |

NppStatus nppiFilterMedianGetBufferSize_32f_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32u * | nBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 32-bit floating-point median filter scratch memory size.

For common parameter descriptions, see Common parameters for nppiFilterMedianGetBufferSize functions.

NppStatus nppiFilterMedianGetBufferSize_32f_C4R | ( | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32u * | nBufferSize
| ) |  |

NppStatus nppiFilterMedianGetBufferSize_32f_C4R_Ctx | ( | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32u * | nBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 32-bit floating-point median filter scratch memory size.

For common parameter descriptions, see Common parameters for nppiFilterMedianGetBufferSize functions.

NppStatus nppiFilterMedianGetBufferSize_8u_AC4R | ( | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32u * | nBufferSize
| ) |  |

NppStatus nppiFilterMedianGetBufferSize_8u_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32u * | nBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned median filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterMedianGetBufferSize functions.

NppStatus nppiFilterMedianGetBufferSize_8u_C1R | ( | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32u * | nBufferSize
| ) |  |

NppStatus nppiFilterMedianGetBufferSize_8u_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32u * | nBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 8-bit unsigned median filter scratch memory size.

For common parameter descriptions, see Common parameters for nppiFilterMedianGetBufferSize functions.

NppStatus nppiFilterMedianGetBufferSize_8u_C3R | ( | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32u * | nBufferSize
| ) |  |

NppStatus nppiFilterMedianGetBufferSize_8u_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32u * | nBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 8-bit unsigned median filter scratch memory size.

For common parameter descriptions, see Common parameters for nppiFilterMedianGetBufferSize functions.

NppStatus nppiFilterMedianGetBufferSize_8u_C4R | ( | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32u * | nBufferSize
| ) |  |

NppStatus nppiFilterMedianGetBufferSize_8u_C4R_Ctx | ( | NppiSize | oSizeROI,
|  | NppiSize | oMaskSize,
|  | Npp32u * | nBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned median filter scratch memory size.

For common parameter descriptions, see Common parameters for nppiFilterMedianGetBufferSize functions.

Copyright © 2009-2020 NVIDIA Corporation